<?php

namespace DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\Config;

use DropshippingExportFreeVendor\WPDesk\Library\DropshippingExport\Infrastructure\Config\Abstraction\AbstractSingleConfig;
/**
 * Class FilesConfig, configuration class for external files.
 *
 * @package WPDesk\Library\DropshippingExport\Config
 */
class FilesConfig extends AbstractSingleConfig
{
    const ID = 'files';
    public function get(): array
    {
        $dir = trailingslashit(wp_upload_dir()['basedir']);
        $dir_url = trailingslashit(wp_upload_dir()['baseurl']);
        return ['dir' => $dir . 'dropshipping_export/', 'dir_url' => $dir_url . 'dropshipping_export/', 'tmp' => ['dir' => $dir . 'dropshipping_export/tmp/', 'dir_url' => $dir_url . 'dropshipping_export/tmp/']];
    }
    public function get_id(): string
    {
        return self::ID;
    }
}
